<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="jdesign_phieuthu" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<import value="neo.smartui.common.ConvertFont"/>
	<subDataset name="ds01">
		<queryString>
			<![CDATA[begin ?:= {p0sys_funcschema}pttb_vsms.laytt_inphieu_giahan('{p0sys_userid}','{p0so_tb}'); end;]]>
		</queryString>
		<field name="sophieu" class="java.lang.String"/>
		<field name="ngay_ghan" class="java.lang.String"/>
		<field name="ma_hd" class="java.lang.String"/>
		<field name="ten_tt" class="java.lang.String"/>
		<field name="diachi_tt" class="java.lang.String"/>
		<field name="so_tb" class="java.lang.String"/>
		<field name="tinh_tp" class="java.lang.String"/>
		<field name="donvi" class="java.lang.String"/>
		<field name="diachi" class="java.lang.String"/>
		<field name="goi_cuoc" class="java.lang.String"/>
		<field name="tien_ghan" class="java.lang.String"/>
		<field name="nguoi_ghan" class="java.lang.String"/>
	</subDataset>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="user_donvi_thuchien" class="java.lang.String"/>
	<parameter name="user_tinh_thanhpho" class="java.lang.String" isForPrompting="false"/>
	<parameter name="user_diachi_giaodich" class="java.lang.String"/>
	<parameter name="sys_userid" class="java.lang.String"/>
	<parameter name="chukyno" class="java.lang.String" isForPrompting="false"/>
	<parameter name="{p0sys_fullName}" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= {p0sys_funcschema}pttb_vsms.laytt_inphieu_giahan('{p0sys_userid}','{p0so_tb}'); end;]]>
	</queryString>
	<background>
		<band splitType="Stretch"/>
	</background>
	<pageHeader>
		<band height="228">
			<textField isStretchWithOverflow="true">
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="14" y="20" width="261" height="18" isPrintWhenDetailOverflows="true"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01donvi").toString()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="14" y="18" width="261" height="0"/>
				<textElement textAlignment="Center">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01tinh_tp").toString()]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="14" y="41" width="261" height="14" isPrintWhenDetailOverflows="true"/>
				<textElement textAlignment="Center" verticalAlignment="Middle" markup="html">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01diachi").toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="319" y="0" width="205" height="56"/>
				<textElement textAlignment="Center">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[Mẫu số: 01 - TT
Ban hành theo QĐ số 1141 - TC/QĐ/
CĐKT ngày 1 tháng 11 năm 1995
Của Bộ Tài Chính
]]></text>
			</staticText>
			<staticText>
				<reportElement x="320" y="56" width="45" height="18"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[Số:]]></text>
			</staticText>
			<textField>
				<reportElement x="375" y="56" width="148" height="18"/>
				<textElement textAlignment="Justified" verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01sophieu").toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="319" y="74" width="205" height="18"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[Tài khoản ghi có: 0]]></text>
			</staticText>
			<staticText>
				<reportElement x="186" y="92" width="168" height="18"/>
				<textElement textAlignment="Center">
					<font fontName="Arial" size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[PHIẾU THU]]></text>
			</staticText>
			<staticText>
				<reportElement x="186" y="110" width="69" height="18"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[Ngày]]></text>
			</staticText>
			<textField>
				<reportElement x="257" y="110" width="97" height="18"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01ngay_ghan").toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="18" y="155" width="100" height="18"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[Khách hàng:]]></text>
			</staticText>
			<staticText>
				<reportElement x="18" y="173" width="100" height="18"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[Địa chỉ:]]></text>
			</staticText>
			<staticText>
				<reportElement x="18" y="191" width="100" height="18"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[Điện thoại:]]></text>
			</staticText>
			<staticText>
				<reportElement x="19" y="137" width="100" height="18"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[Mã hợp đồng:]]></text>
			</staticText>
			<textField>
				<reportElement x="149" y="137" width="173" height="18"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01ma_hd").toString()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="150" y="155" width="356" height="18"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01ten_tt").toString()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="150" y="173" width="356" height="20"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01diachi_tt").toString()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="150" y="193" width="204" height="20"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01so_tb").toString()]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="15" y="-1" width="260" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Công ty dịch vụ viễn thông - Vinaphone]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="19">
			<staticText>
				<reportElement x="95" y="1" width="180" height="18"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Nội dung nộp tiền]]></text>
			</staticText>
			<staticText>
				<reportElement x="290" y="1" width="75" height="18"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Ngày gia hạn]]></text>
			</staticText>
			<staticText>
				<reportElement x="382" y="1" width="76" height="18"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Tiền gia hạn]]></text>
			</staticText>
			<staticText>
				<reportElement x="466" y="1" width="80" height="18"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Ghi chú]]></text>
			</staticText>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="84" y="1" width="1" height="18" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="283" y="1" width="1" height="18" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="374" y="0" width="1" height="18" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="465" y="1" width="1" height="18" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="27" y="1" width="1" height="18" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="27" y="1" width="520" height="1" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="28" y="18" width="519" height="1" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="546" y="1" width="1" height="18" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement x="29" y="2" width="56" height="16"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="11" isBold="true"/>
				</textElement>
				<text><![CDATA[Số phiếu]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="21" splitType="Stretch">
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="27" y="0" width="1" height="20" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="84" y="0" width="1" height="20" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="283" y="0" width="1" height="20" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="374" y="0" width="1" height="20" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="465" y="0" width="1" height="20" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="546" y="0" width="1" height="21" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement stretchType="RelativeToTallestObject" x="27" y="20" width="520" height="1" forecolor="#666666"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement x="94" y="0" width="107" height="18"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[Gia hạn gói cước:]]></text>
			</staticText>
			<textField>
				<reportElement x="28" y="2" width="57" height="16"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01sophieu").toString()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="201" y="2" width="82" height="16"/>
				<textElement/>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01goi_cuoc").toString()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="285" y="0" width="89" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01ngay_ghan").toString()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="376" y="0" width="90" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01tien_ghan").toString()]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<summary>
		<band height="167">
			<staticText>
				<reportElement x="116" y="63" width="100" height="18"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[Người lập phiếu]]></text>
			</staticText>
			<staticText>
				<reportElement x="358" y="63" width="100" height="18"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[Người nộp tiền]]></text>
			</staticText>
			<line>
				<reportElement x="27" y="0" width="520" height="1" forecolor="#666666"/>
			</line>
			<textField isStretchWithOverflow="true">
				<reportElement positionType="Float" stretchType="RelativeToBandHeight" x="338" y="130" width="148" height="18" isPrintWhenDetailOverflows="true"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01ten_tt").toString()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="93" y="128" width="164" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<textFieldExpression class="java.lang.String"><![CDATA[((HashMap)$P{NEO_SQL_META_MAP}).get("ds01nguoi_ghan").toString()]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
